ITPub博客

首页 > Linux操作系统 > Linux操作系统 > kubenertes 1.16集群部署问题总结

kubenertes 1.16集群部署问题总结

Linux操作系统 作者:安全剑客 时间:2019-10-20 10:08:30 0 删除 编辑
安装使用virtual box下安装的 CentOS7.5,使用Easypack下的Ansible一键安装 脚本进行kubernetes1.16和dashbaord与coredns的安装,过程中遇到两个问题,整理如下。
版本变化情况:

只做了Kubernetes版本的变更
组件 更新前版本 当前版本
Kubernetes 1.15.0 1.16.0
Docker 18.09.7 18.09.7
ETCD 3.3.13 3.3.13
FLANNEL 0.10.0 0.11.0

问题1:coredns安装失败

原因:
coredns.yml中的Deployment的apiVersion写法为extensions/v1beta1,extensions/v1beta1被废弃所以导致执行出错

core.yml文件示例如下所示

[root@host132 ansible]# cat /etc/k8s/coredns/coredns.yaml 
# __MACHINE_GENERATED_WARNING__
...省略
---
apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: coredns
  namespace: kube-system
  labels:
    k8s-app: kube-dns
    kubernetes.io/cluster-service: "true"
    addonmanager.kubernetes.io/mode: Reconcile
    kubernetes.io/name: "CoreDNS"
...省略
[root@host132 ansible]#

对应方法:
修改成apps/v1即可

[root@host132 templates]# git diff coredns.yaml 
diff --git a/k8s/ansible/coredns/templates/coredns.yaml b/k8s/ansible/coredns/templates/coredns.yaml
index 96abe75..69af15a 100644
--- a/k8s/ansible/coredns/templates/coredns.yaml
+++ b/k8s/ansible/coredns/templates/coredns.yaml
@@ -77,7 +77,7 @@ data:
        loadbalance
    }
 ---
-apiVersion: extensions/v1beta1
+apiVersion: apps/v1
 kind: Deployment
 metadata:
  name: coredns
[root@host132 templates]#
问题2: kubectl get cs显示为unknown

错误提示信息示例如下:

[root@host132 ansible]# kubectl get cs
NAME                AGE
schedulercontroller-manageretcd-0[root@host132 ansible]#

似乎没有太大影响,暂未对应,后续原因确认之后会继续更新。

原文地址: https://www.linuxprobe.com/kubenertes-1-16.html

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/31559985/viewspace-2660656/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2018-11-01

  • 博文量
    700
  • 访问量
    436334